.card-four  {
  width: 100%;
}
.card-four .card {
  transition: all 0.3s ease;
  max-width: 100%;
  background: var(--section-bg, transparent);
}

.card-four .card:hover .card__image img {
  transform: scale(1.05);
}

.card-four .card__image {
  border-radius: 0 0 0 0;
  line-height: 0;
  overflow: hidden;
}

.card-four .card__image img,
.card-four .card__image-img {
  border-radius: 0 0 0 0;
  max-width: 100%;
  height: auto;
  width: 100%;
  transition: all 0.3s ease;
}

.card__content-four {
  background-color: var(--card-bg, #fff);
  padding: 30px 40px;
  border-radius: 0 0 0 0;
}

/*************** card type 04 - Hover Effect Layout  *************/
.card-four .card--with-hover {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  border-radius: 16px;
  overflow: hidden;
  position: relative;
}

.card__content-four {
  min-height: 383px;
  background: linear-gradient(
    180deg,
    rgba(104, 93, 255, 0) 0%,
    var(--section-bg, #685dff) 100%
  );
  display: flex;
  flex-direction: column;
  justify-content: end;
  padding: 40px 38px;
  transform: translateY(100%);
  transition: 0.2s transform ease-in-out;
}

.card-four .card--with-hover .card__title--visible {
  position: absolute;
  bottom: 0;
  left: 0;
  background: linear-gradient(180deg, rgba(104, 93, 255, 0) 0%, rgba(0, 0, 0, 0.6) 100%);
  padding-bottom: 40px;
  padding-left: 38px;
  padding-right: 10px;
  padding-top: 30px;
  width: 100%;
}

.card-four .card--with-hover .card__title--visible h1,
.card-four .card--with-hover .card__title--visible h2,
.card-four .card--with-hover .card__title--visible h3,
.card-four .card--with-hover .card__title--visible h4,
.card-four .card--with-hover .card__title--visible h5,
.card-four .card--with-hover .card__title--visible h6 {
  margin-bottom: 0;
}

.card-four .card--with-hover:hover .card__content-four {
  transform: translateY(0);
}

.card-four .card--with-hover:hover .card__title--visible {
  opacity: 0;
}

/* Responsive styles using media queries */
@media screen and (max-width: 1199px) {
  .card__content-four {
    padding: 20px 30px;
  }
}

@media screen and (max-width: 1024px) {
  .card-four .card--with-hover .card__title--visible {
    opacity: 0;
  }

  .card__content-four {
    transform: none;
    min-height: 200px;
    padding: 20px;
  }
}

@media screen and (max-width: 600px) {
  .card__content-four {
    padding: 15px 20px;
  }

  .card-four .card--with-hover .card__title h1,
  .card-four .card--with-hover .card__title h2,
  .card-four .card--with-hover .card__title h3,
  .card-four .card--with-hover .card__title h4,
  .card-four .card--with-hover .card__title h5,
  .card-four .card--with-hover .card__title h6 {
    margin-bottom: 4px;
  }
}
